/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import org.geotools.coverage.grid.GridCoverage2D;

/**
 * Interface used to indicate a Layer is a Rastered Layer
 * 
 * @deprecated Layers with raster data should implement {@link raster
 * @author Timon Veenstra
 */
@Deprecated
public interface Rastered {
    
    /**
     * Get Raster as GridCoverage2D
     * @return Raster as GridCoverage2D
     */
    GridCoverage2D getRaster();
}
